openSUSE Security Update : php5 (openSUSE-2017-1010)

critical Nessus Plugin ID 102966

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for php5 fixes the following issues :

- CVE-2016-10397: parse_url() can be bypassed to return fake host. (bsc#1047454)

- CVE-2017-11143: An invalid free in the WDDX deserialization of booleanparameters could be used by attackers able to inject XML for deserialization tocrash the PHP interpreter. (bsc#1048097)

- CVE-2017-11144: The opensslextension PEM sealing code did not check the return value of the OpenSSL sealingfunction, which could lead to a crash.
(bsc#1048096)

- CVE-2017-11145: Lack of bounds checks in timelib_meridian coud lead to information leak.
(bsc#1048112)

- CVE-2017-11146: Lack of bounds checks in timelib_meridian parse code could lead to information leak. (bsc#1048111)

- CVE-2017-11147: The PHAR archive handler could beused by attackers supplying malicious archive files to crash the PHP interpreteror potentially disclose information.
(bsc#1048094)

- CVE-2016-5766: Integer Overflow in _gd2GetHeader() resulting could lead to heap overflow (bsc#986386)

- CVE-2017-11628: Stack-base dbuffer overflow in zend_ini_do_op() in Zend/zend_ini_parser.c (bsc#1050726)

- CVE-2017-7890: Buffer over-read from uninitialized data in gdImageCreateFromGifCtx function could lead to denial of service (bsc#1050241)

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected php5 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1047454

https://bugzilla.opensuse.org/show_bug.cgi?id=1048094

https://bugzilla.opensuse.org/show_bug.cgi?id=1048096

https://bugzilla.opensuse.org/show_bug.cgi?id=1048111

https://bugzilla.opensuse.org/show_bug.cgi?id=1048112

https://bugzilla.opensuse.org/show_bug.cgi?id=1050241

https://bugzilla.opensuse.org/show_bug.cgi?id=1050726

https://bugzilla.opensuse.org/show_bug.cgi?id=986386

https://bugzilla.opensuse.org/show_bug.cgi?id=1048097

Plugin Details

Severity: Critical

ID: 102966

File Name: openSUSE-2017-1010.nasl

Version: 3.4

Type: local

Agent: unix

Published: 9/6/2017

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3

Risk Factor: Critical

Base Score: 9.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:42.2:*:*:*:*:*:*:*, cpe:2.3:o:novell:opensuse:42.3:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:apache2-mod_php5:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:apache2-mod_php5-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bcmath:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bcmath-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bz2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bz2-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-calendar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-calendar-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ctype:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ctype-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-curl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-curl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dba:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dba-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dom:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dom-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-enchant:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-enchant-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-exif:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-exif-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fastcgi:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fastcgi-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fileinfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fileinfo-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fpm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fpm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ftp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ftp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gd-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gettext:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gettext-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gmp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-iconv:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-iconv-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-imap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-imap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-intl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-intl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-json:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-json-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ldap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ldap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mbstring:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mbstring-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mcrypt:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mcrypt-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mssql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mssql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mysql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mysql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-odbc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-odbc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-openssl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-openssl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pcntl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pcntl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pdo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pdo-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pear:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pgsql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pgsql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-phar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-phar-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-posix:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-posix-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pspell:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pspell-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-readline:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-readline-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-shmop:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-shmop-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-snmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-snmp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-soap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-soap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sockets:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sockets-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sqlite:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sqlite-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-suhosin:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-suhosin-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvmsg:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvmsg-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvsem:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvsem-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvshm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvshm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tidy:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tidy-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tokenizer:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tokenizer-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-wddx:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-wddx-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlreader:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlreader-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlrpc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlrpc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlwriter:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlwriter-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xsl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xsl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zip:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zip-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zlib:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zlib-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-firebird:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-firebird-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-opcache:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-opcache-debuginfo:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 9/5/2017

Reference Information

CVE: CVE-2016-5766, CVE-2016-10397, CVE-2017-11144, CVE-2017-11145, CVE-2017-11146, CVE-2017-11147, CVE-2017-11628, CVE-2017-7890, CVE-2017-11143